Returns a list of patients
curl --request GET \
--url https://api.staging.scan.com/api/v2/patients \
--header 'Authorization: Bearer <token>'require 'uri'
require 'net/http'
url = URI("https://api.staging.scan.com/api/v2/patients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyimport requests
url = "https://api.staging.scan.com/api/v2/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.scan.com/api/v2/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.scan.com/api/v2/patients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.scan.com/api/v2/patients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"patients": [
{
"id": "11111111-1111-1111-1111-111111111111",
"first_name": "John",
"middle_initial": "D",
"last_name": "Doe",
"email": "[email protected]",
"phone_number": "+1234567890",
"date_of_birth": "05/21/1988",
"date_of_birth_iso": "1988-05-21",
"identifier": {
"system": "https://scan.com/fhir/sid/patient-id",
"value": "11111111-1111-1111-1111-111111111111"
},
"address_line_1": "123 Main St",
"address_line_2": "",
"city": "New York",
"state": "NY",
"zip_code": "10001",
"gender": "male",
"weight": 150,
"height_feet": 5,
"height_inches": 10
}
],
"meta": {
"current_page": 1,
"next_page": 2,
"prev_page": null,
"total_pages": 1,
"total_count": 1
}
}Patients
Returns a list of patients
Returns a list of patients that are associated with the user group.
GET
/
api
/
v2
/
patients
Returns a list of patients
Authorizations
Authorization: Bearer <api_token>. Sandbox tokens come from Get API keys
and allow 2,000 successful requests or 7 days. Failed 4xx/5xx responses do
not consume the allowance. Production tokens are issued from the group's
API access tab.
Query Parameters
Page number
Number of patients per page
When true, also include patients whose referral billing-company name matches the group

